From 8adb223f3e05971c621e92b853841ba699aca419 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 01 2020 17:14:27 +0000
Subject: [PATCH 512/2232] Restore support for rustc 1.42


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 06bf65b..0ea53df 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -8,6 +8,7 @@ use proc_macro2::{Delimiter, Group, Ident, TokenStream};
 use quote::{quote, ToTokens};
 use std::collections::HashSet;
 use std::fmt::Display;
+use std::u32;
 use syn::{Error, Result};
 
 pub(crate) struct Check<'a> {

